## ros-noetic-rqt-robot-plugins 0.5.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_robot_plugins)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-rqt-robot-plugins (0.5.8-1focal) focal; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#124 <https://github.com/ros-visualization/rqt_robot_plugins/issues/124>)
  * Remove dirk-thomas as maintainer (#125 <https://github.com/ros-visualization/rqt_robot_plugins/issues/125>)
  * Contributors: Alejandro Hernández Cordero, Shane Loretz

 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 14 May 2020 07:00:00 -0000

ros-noetic-rqt-robot-plugins (0.5.7-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 27 Apr 2017 07:00:00 -0000

ros-noetic-rqt-robot-plugins (0.5.6-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 24 Jan 2017 08:00:00 -0000

ros-noetic-rqt-robot-plugins (0.5.5-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 02 Nov 2016 07:00:00 -0000

ros-noetic-rqt-robot-plugins (0.5.4-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 19 Sep 2016 07:00:00 -0000

ros-noetic-rqt-robot-plugins (0.5.3-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 16 May 2016 07:00:00 -0000

ros-noetic-rqt-robot-plugins (0.5.2-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 29 Apr 2016 07:00:00 -0000

ros-noetic-rqt-robot-plugins (0.5.1-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 28 Apr 2016 07:00:00 -0000

ros-noetic-rqt-robot-plugins (0.5.0-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 27 Apr 2016 07:00:00 -0000

ros-noetic-rqt-robot-plugins (0.4.3-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 08 Mar 2016 08:00:00 -0000

ros-noetic-rqt-robot-plugins (0.4.2-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 24 Jul 2015 07:00:00 -0000

ros-noetic-rqt-robot-plugins (0.4.1-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 30 Apr 2015 07:00:00 -0000

ros-noetic-rqt-robot-plugins (0.4.0-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 05 Nov 2014 08:00:00 -0000

ros-noetic-rqt-robot-plugins (0.3.7-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 18 Aug 2014 07:00:00 -0000

ros-noetic-rqt-robot-plugins (0.3.6-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 11 Jul 2014 07:00:00 -0000

ros-noetic-rqt-robot-plugins (0.3.5-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 02 Jun 2014 07:00:00 -0000

ros-noetic-rqt-robot-plugins (0.3.4-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 07 May 2014 07:00:00 -0000

ros-noetic-rqt-robot-plugins (0.3.3-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 28 Jan 2014 08:00:00 -0000

ros-noetic-rqt-robot-plugins (0.3.2-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 08 Jan 2014 08:00:00 -0000

ros-noetic-rqt-robot-plugins (0.3.1-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 09 Oct 2013 07:00:00 -0000

ros-noetic-rqt-robot-plugins (0.3.0-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 28 Aug 2013 07:00:00 -0000

ros-noetic-rqt-robot-plugins (0.2.16-1focal) focal; urgency=high

  * First public release into Hydro
  * add stress on how to run rqt the easiest

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 09 Jul 2013 07:00:00 -0000

ros-noetic-rqt-robot-plugins (0.2.15-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 25 Apr 2013 07:00:00 -0000

ros-noetic-rqt-robot-plugins (0.2.14-1focal) focal; urgency=high

  * Adding back rqt_tf_tree (#19 <https://github.com/130s/rqt_robot_plugins/issues/19>), now that rqt_tf_tree is verified to be building on buildfarm (eg. `link http://jenkins.willowgarage.com:8080/view/GbinP64/job/ros-groovy-rqt-tf-tree_binarydeb_precise_amd64/`_)

 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 12 Apr 2013 07:00:00 -0000

ros-noetic-rqt-robot-plugins (0.2.13-1focal) focal; urgency=high

  * Conform to REP-127
  * Add rqt_moveit

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 09 Apr 2013 07:00:00 -0000

ros-noetic-rqt-robot-plugins (0.2.12-1focal) focal; urgency=high

  * Add CMakeLists.txt based on new catkin spec (`ref. http://answers.ros.org/question/59648/catkin-metapackage-now-requires-cmakeliststxt/`_)

 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 07 Apr 2013 01:22:00 -0000

ros-noetic-rqt-robot-plugins (0.2.11-1focal) focal; urgency=high

  * Revert back rqt_tf_tree that's been omitted due to build failure

 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 07 Apr 2013 01:00:00 -0000

ros-noetic-rqt-robot-plugins (0.2.10-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 04 Apr 2013 07:00:00 -0000

ros-noetic-rqt-robot-plugins (0.2.9-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 07 Mar 2013 08:00:00 -0000

ros-noetic-rqt-robot-plugins (0.2.8-1focal) focal; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 11 Jan 2013 08:00:00 -0000

ros-noetic-rqt-robot-plugins (0.2.7-1focal) focal; urgency=high

  * Revert back rviz plugin (since 0.2.6) @dirk-thomas

 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 23 Dec 2012 23:58:00 -0000

ros-noetic-rqt-robot-plugins (0.2.6-1focal) focal; urgency=high

  * first public release for Groovy

 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 23 Dec 2012 09:57:00 -0000

=== debian/control ===
Source: ros-noetic-rqt-robot-plugins
Section: misc
Priority: optional
Maintainer: Aaron Blasdel <ablasdel@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/rqt_robot_plugins
Standards-Version: 3.9.2

Package: ros-noetic-rqt-robot-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-rqt-moveit, ros-noetic-rqt-nav-view, ros-noetic-rqt-pose-view, ros-noetic-rqt-robot-dashboard, ros-noetic-rqt-robot-monitor, ros-noetic-rqt-robot-steering, ros-noetic-rqt-runtime-monitor, ros-noetic-rqt-rviz, ros-noetic-rqt-tf-tree
Description: Metapackage of rqt plugins that are particularly used with robots during its operation.
 To run any rqt plugins, just type in a single command &quot;rqt&quot;, then select any plugins you want from the GUI that launches afterwards. rqt consists of three following metapackages: rqt - provides a container window where all rqt tools can be docked at. rqt plugin developers barely needs to pay attention. rqt_common_plugins - ROS backend tools suite that can be used on/off of robot runtime. rqt_robot_plugins (You're here!)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rqt-robot-plugins//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
